i2o_proc_create_entries
Prev | I2O message devices | Next

## Name

i2o_proc_create_entries — Creates proc dir entries

## Synopsis

`int i2o_proc_create_entries (` | struct proc_dir_entry * | dir,
| i2o_proc_entry * | i2o_pe,
| void * | data`)`;

## Arguments

`dir`

  proc dir entry under which the entries should be placed

`i2o_pe`

  pointer to the entries which should be added

`data`

  pointer to I2O controller or device

## Description

Create proc dir entries for a I2O controller or I2O device.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_get_class_name | Home | i2o_proc_subdir_remove